gprolog (1.4.5-3) unstable; urgency=medium

  * clean up alternatives and links after remove (postinst), to keep
    piuparts happy.
  * build from source on amd64 should now work; reported by Didier Raboud
    (closes: #643143).
  * only use explicit gcc-5 as compiler on i386, other architectures fall
    back to gcc.

 -- Salvador Abreu <spa@debian.org>  Fri, 09 Dec 2016 16:23:46 +0000

gprolog (1.4.5-2) unstable; urgency=medium

  * Bug fix: "Debian changelog uncompressed", reported by Aaron M. Ucko -
    manually compress changelog and others (closes: #847413).
  * Temporarily exclude mips and mipsel from the target architectures,
    until the old back-end is ported (it's no longer in upstream).
  * Fall back to using gcc 5 because gcc 6 (now current) bombs on i386 for
    src/EnginePl/machine.c
  * Adjust "configure" flags to suit i386 as well.
  * Disable call to mallopt() in machine.c

 -- Salvador Abreu <spa@debian.org>  Thu, 08 Dec 2016 16:59:50 +0000

gprolog (1.4.5-1) unstable; urgency=medium

  * Initial git-based package overhaul: now forked from the GNU Prolog git
    repo which, at this time, is (unstable) version 1.4.5.
    (closes: #661739, #705740, #618280).
  * Much simplified patches, we're basically sticking to upstream now,
    dropped the "watermark" code from 1.3.0.
  * Bug fix: don't compress examples, reported by Andrew Shadura 
    (closes: #674576).
  * Bug fix: "manpage refers to non-existing documentation file", reported
    by Michael Stapelberg (closes: #671924).
  * Bug fix: "GNU Prolog Docs should be in section Programming/Prolog",
    thanks to Ralf Treinen (closes: #505670).
  * Integrate NMU fixes (closes: #846516).
  * relocate all executables into /usr/lib/gprolog/bin/ and provide
    aliases via update-alternatives(1)
  * put includes in /usr/lib/gprolog/include/ and link back to
    /usr/include/gprolog/ (also via update-alternatives(1))

 -- Salvador Abreu <spa@debian.org>  Wed, 07 Dec 2016 00:48:21 +0000

gprolog (1.3.0-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with PIE enabled (Closes: #837487).
  * Drop the menu file.
  * Add powerpcspe to the arch list (Closes: #731674).
  * Fix texlive B-D and move them to B-D-Indep (Closes: #462668).
  * Enable compiling with -g.
  * Use ${misc:Depends}.

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 02 Dec 2016 00:22:48 +0500

gprolog (1.3.0-6.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)" due to patch.
  * debian/patches
    - (Number 10): Add patch to fix latex error. Patch thanks to Ilya
      Barygin <barygin@gmail.com>
      https://launchpad.net/ubuntu/+source/gprolog/1.3.0-6ubuntu1
      (RC bug FTBFS serious; Closes: #562394).
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 17 Mar 2010 00:53:43 +0200

gprolog (1.3.0-6) unstable; urgency=low

  * revert to regular gcc: 4.2 (closes: #463289)
  * debian/rules: get rid of bashisms (closes: #478390)
  * src/EnginePl/machine.c: don't include <asm/sigcontext.h>; thanks to
    Sebastian Bober <sbober@servercare.de> (closes: #456842, #442980)

 -- Salvador Abreu <spa@debian.org>  Thu, 08 May 2008 15:54:02 +0100

gprolog (1.3.0-5) unstable; urgency=low

  * src/configure.in: recognize sparc-linux!
  * debian/changelog: back to plain ASCII...

 -- Salvador Abreu <spa@debian.org>  Sat, 08 Dec 2007 20:11:48 +0000

gprolog (1.3.0-4) unstable; urgency=low

  * Work on mips/mipsel again (closes: #448952); patch courtesy of Thiemo
    Seufer <ths@networkno.de>
  * Convert changelog, etc. to UTF-8 (closes: #453994, #454012)
  * EnginePL/wam_inst.h: correctly type destructor callback for use by C++
    programs (closes: #452958)
  * Revert to the default GCC (4.1) because 4.2 doesn't seem to be
    up-to-date on several architectures...  eventually this will allow
    gprolog to migrate to testing.
  * Re-close erroneously reopened bugs (closes: #397294, #412671)
  * Remove silly menu entry for gprolog top-level shell
  * Don't compress PDF manual
  * Make lintian (a little bit) happier ;-)

 -- Salvador Abreu <spa@debian.org>  Thu, 06 Dec 2007 10:30:41 +0000

gprolog (1.3.0-3) unstable; urgency=low

  * Even more dependencies on texlive packages: now include texlive-full
    in the hope it will be enough (closes: #421247).
  * use gcc-4.2

 -- Salvador Abreu <spa@debian.org>  Sun, 20 May 2007 23:35:14 +0100

gprolog (1.3.0-2) unstable; urgency=low

  * Depend on texlive-latex-recommended: needed to build docs.

 -- Salvador Abreu <spa@debian.org>  Thu, 26 Apr 2007 12:03:38 +0100

gprolog (1.3.0-1) unstable; urgency=low

  * New upstream release
  * Remove Homepage: headers from debian/control (closes: #412671)
  * Include dvi & ps doc generation patch by Frank Kuester
    <frank@debian.org> (closes: #397294)
  * Depend on some texlive packages, such as texlive-extra-utils, instead
    of the old tetex ones (closes: #420335)
  * Reset compilation flags to be less pessimistic (back to using -O3)
  * Adapt to shallower directory scheme (not based on sourceforge.net
    version anymore)

 -- Salvador Abreu <spa@debian.org>  Wed, 25 Apr 2007 00:32:13 +0100

gprolog (1.2.18-17) unstable; urgency=low

  * Fix non-ascii character in doc/use.tex; this only seems to be a
    problem with more recent versions of hevea.  (closes: #397135)
  * Fix unaligned access on amd64.  This is done in a way which I'd rather
    not have to confess: I had GCC produce assembly code, which is then
    patched via a sed script before being fed to as.  Thanks to
    ramune@net-ronin.org for pointing out the location of the problem.
    (closes: #356406)
  * Fixed a few things in order to be able to use more recent versions of
    gcc, most notably casts in lvalues.  As of now, gcc 4.1 can be used to
    compile gprolog!
  * Doesn't leave anything in /etc/alternatives nor /usr/bin after being
    purged.  (closes: #358256)

 -- Salvador Abreu <spa@debian.org>  Mon,  6 Nov 2006 10:40:23 +0000

gprolog (1.2.18-16) unstable; urgency=low

  * touch all *.wam files to ensure buildds don't get mixed up about .pl
    and .wam having similar modification times.  Was having trouble with
    just about all of them.

 -- Salvador Abreu <spa@debian.org>  Tue,  1 Nov 2005 08:15:20 +0000

gprolog (1.2.18-15) unstable; urgency=low

  * include mips and mipsel in Architecture: in debian/control, as the
    built-in support for MIPS has been extended for Linux, courtesy of
    Thiemo Seufer <ths@networkno.de> (closes: #272829).

 -- Salvador Abreu <spa@debian.org>  Mon, 31 Oct 2005 10:15:57 +0000

gprolog (1.2.18-14) unstable; urgency=low

  * enforce gcc version 3.3, as it's the "last known good" version for
    gprolog (closes: #323528).

 -- Salvador Abreu <spa@debian.org>  Wed, 17 Aug 2005 09:31:14 +0100

gprolog (1.2.18-13) unstable; urgency=low

  * don't use "-nosymb" to deal with recent versions of hevea: 1.07 and
    later (closes: #321977)
  * acknowledge NMUs by Steve Langasek (closes: #271399)

 -- Salvador Abreu <spa@debian.org>  Mon, 15 Aug 2005 12:51:59 +0100

gprolog (1.2.18-12) unstable; urgency=low

  * The "attempt to be free from x86" release... ;-)
  * Acknowledge NMUs (1.2.18-11.1 and -11.2).
  * debian/rules: removed bashisms (closes: #265032).  Thanks Roland
    Stigge <stigge@antcom.de>
  * debian/menu: use gprolog-iso instead of gprolog (alternative) to
    satisfy lintian.
  * src/src/Ma2Asm/powerpc_any.c: fix duplicate patch (same problem as
    fixed in 1.2.18-10 for amd64)
  * src/src/Ma2Asm/ma2asm_inst.c: try to ignore OS for mips architecture.
  * Hopefully this version might finally make it into testing, now that
    it's no longer considered x86-only (it was being held because the
    buildds weren't taking it and yet there were old alpha and sparc
    versions lying around), so I'm closing the can't-build for sarge,
    which applied to a very old version (closes: #268671).

 -- Salvador Abreu <spa@debian.org>  Mon, 20 Sep 2004 22:39:15 +0100

gprolog (1.2.18-11.2) unstable; urgency=low

  * Non-maintainer upload.
  * Also add tetex-extra into Build-Depends, needed on the buildds even
    though it appears not to have mattered locally (closes: #271399).
  * Touch src/src/BipsPl/arith_inl.wam as part of the build, to deal with
    timestamp skew issues when building.

 -- Steve Langasek <vorlon@debian.org>  Wed, 15 Sep 2004 02:55:14 -0700

gprolog (1.2.18-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Move tetex-bin and hevea from build-depends-indep back to
    build-depends, as they're used in the build target
    (closes: #271399).

 -- Steve Langasek <vorlon@debian.org>  Tue, 14 Sep 2004 15:40:57 -0700

gprolog (1.2.18-11) unstable; urgency=low

  * BipsPl/term_supp.c: incorporate upstream changes.
  * debian/control: Build-Depends: split into Build-Depends-Indep:
  * debian/control: gprolog-doc is now in Recommends:

 -- Salvador Abreu <spa@debian.org>  Thu, 24 Jun 2004 14:48:57 +0100

gprolog (1.2.18-10) unstable; urgency=low

  * fix compilation on amd64 (closes: #252868)
  * Ma2asm/x86_64_any.c: remove duplicate code.

 -- Salvador Abreu <spa@debian.org>  Sat, 12 Jun 2004 10:46:59 +0100

gprolog (1.2.18-9) unstable; urgency=low

  * new upstream version: merge patches.

 -- Salvador Abreu <spa@debian.org>  Mon, 19 Apr 2004 13:38:29 +0100

gprolog (1.2.18-8) unstable; urgency=low

  * rebuild with gprolog (-iso), NOT with gprolog-cx (sneak preview...)
  * EnginePl/wam_archi.def: decreased default area sizes to something more
    reasonable (closes: #216697).

 -- Salvador Abreu <spa@debian.org>  Tue, 21 Oct 2003 10:59:08 +0100

gprolog (1.2.18-7) unstable; urgency=low

  * bug fixes weren't properly registered since 1.2.18-1, so repeat
    (closes: #211708, #199147)
  * ought to migrate to testing, someday... (closes: #214903)

 -- Salvador Abreu <spa@di.uevora.pt>  Fri, 17 Oct 2003 07:06:57 +0100

gprolog (1.2.18-6) unstable; urgency=low

  * EnginePl/wam_inst.c: Create_Water_Mark(): check for overflow.
  * EnginePl/wam_inst.h: bump size of MAXWMARK.

 -- Salvador Abreu <spa@di.uevora.pt>  Mon, 22 Sep 2003 00:08:06 +0100

gprolog (1.2.18-5) unstable; urgency=low

  * Update to Standards-Version 3.6.1
  * Compile without optimization as a workaround to avoid SIGINT handler
    reinstallation problem.  This must be looked into again for a better
    fix. (closes: #211708)

 -- Salvador Abreu <spa@di.uevora.pt>  Sun, 21 Sep 2003 09:41:02 +0100

gprolog (1.2.18-4) unstable; urgency=low

  * BipsPl/scan_supp.h and EnginePl/engine.h: grossly increase size of the
    glob_buff[] array, as it was being victimized by buffer overflows.
  * BipsPl/format_c.c: urk... bump temp buffer sizes from 2K to 64K.
  * BipsPl/stream_supp.c: Stream_Printf(): str[] is now dynamically-sized
    as necessary (uses vsnprintf(3) instead of vsprintf(3)).  This was a
    nasty one!!!
  * Increase default area sizes...

 -- Salvador Abreu <spa@di.uevora.pt>  Tue, 12 Aug 2003 19:58:05 +0100

gprolog (1.2.18-3) unstable; urgency=low

  * More Wam2Ma/wam_parser.c constants bumped; this time to deal with very
    long lines.
  * Fixed sparc declarations in src/EnginePl/engine1.c for real.
  * doc/packages.tex: use colored links, as per Martin Pitt's suggestion:
    it does look better...  (closes: #199147)

 -- Salvador Abreu <spa@debian.org>  Thu,  3 Jul 2003 16:38:16 +0100

gprolog (1.2.18-2) unstable; urgency=low

  * src/EnginePl/engine1.c: fix sparc declarations after statement.

 -- Salvador Abreu <spa@debian.org>  Mon, 16 Jun 2003 15:24:21 +0100

gprolog (1.2.18-1) unstable; urgency=low

  * New upstream release
  * Wam2Ma/wam_parser.c: bump a limit to deal with larger source files.
  * Rebuild fixes formatting problems (closes: #191135).
  * Don't reference inexistant URL http://www.logic-programming.org/
    (closes: #111191).
  * Include doc-base entry for gprolog-doc as well (closes: #190636).
  * Bumped Standards-Version to 3.5.10
  * Copied config.{sub,guess} from autotools-dev to get the latest.

 -- Salvador Abreu <spa@debian.org>  Mon, 16 Jun 2003 13:28:54 +0100

gprolog (1.2.17-2) unstable; urgency=low

  * src/src/configure.in, src/src/config.{sub,guess}: adapt to latest
    versions and recognize wider range of designation for supported
    architectures.
  * debian/rules: in "clean" target: run autoconf when needed.
  * src/src/TopComp/prolog_path.c: Search_Path(): look in PROLOG_BINDIR
    first!
  * debian/rules: *really* make sure we're using the locally generated
    gplc & friends: it's critical when rebuilding the system...
  * debian/rules: new target "config".

 -- Salvador Abreu <spa@debian.org>  Mon, 17 Feb 2003 00:37:17 +0000

gprolog (1.2.17-1) unstable; urgency=low

  * New upstream release
  * Updated Standards-Version to 3.5.8
  * Restrict binary packages to known working architectures (i386, sparc,
    mips, alpha, powerpc)
  * Fixed postinst and prerm scripts to look for executables in the right
    place.
  * machine1.c: modified execvp() calls to try library directory first.
  * configure.in, gp_config.h.in: added PROLOG_BINDIR and PROLOG_LIBDIR
    constants (for above).
  * top_comp.c: use PROLOG_LIBDIR to locate *.o files.
  * Fixed library locations introduced in version 1.2.11-4, to adhere to
    the scheme /usr/lib/gprolog-VARIANT/.  For now, VARIANT is only "iso"
    but the "cx" (Contextual Logic Programming) packages are on the way...
  * Lintian 1.22.6 approved :)

 -- Salvador Abreu <spa@debian.org>  Thu, 13 Feb 2003 09:31:28 +0000

gprolog (1.2.13-1) unstable; urgency=low

  * new upstream version.

 -- Salvador Abreu <spa@debian.org>  Sat,  4 May 2002 23:40:14 +0100

gprolog (1.2.11-4) unstable; urgency=low

  * new executable file locate in order to prepare to host several
    variants of gprolog (eg. gprolog-cx) simultaneously.
  * gprolog.postinst, gprolog.prerm: put #DEBHELPER# line AT THE END, just
    in case things like update-menus, etc. fail.

 -- Salvador Abreu <spa@debian.org>  Fri,  3 May 2002 11:22:11 +0100

gprolog (1.2.11-3) unstable; urgency=medium

  * merged fixes from upstream 1.2.12: allow for much larger memory sizes,
    user settable via GLOBALSZ=NNN, etc.  NNN are Kbytes; see docs.
  * configure for minimal hardware requirements (closes: #143406).

 -- Salvador Abreu <spa@debian.org>  Thu, 18 Apr 2002 13:36:18 +0100

gprolog (1.2.11-2) unstable; urgency=low

  * REALLY fixed watermark code, this time!
  * configure --with-c-flags=... instead of specifying in the `make'
    command line: configure would think it could use machine registers
    that, in fact, it shouldn't.

 -- Salvador Abreu <spa@debian.org>  Tue, 26 Mar 2002 17:57:56 +0000

gprolog (1.2.11-1) unstable; urgency=low

  * new upstream version.
  * doc/Makefile: hh_do_hhc_hhk is to be found here.  Patch courtesy of
    Neal H Walfield <neal@cs.uml.edu> (closes: #139643)
  * added build-dependencies on tetex-extra and gsfonts (closes: #139639)
  * fix problem with watermark code introduced in 1.2.9.
  * use autoconf >= 2.52.

 -- Salvador Abreu <spa@debian.org>  Mon, 25 Mar 2002 13:47:05 +0000

gprolog (1.2.9-3) unstable; urgency=low

  * use M-q instead of C-u M-q in control (closes: #135231 >-)
  * incorporate top_comp.c changes from 1.2.10.

 -- Salvador Abreu <spa@debian.org>  Thu, 28 Feb 2002 22:21:08 +0000

gprolog (1.2.9-2) unstable; urgency=low

  * remove alternatives upon package deletion (closes: #127035)

 -- Salvador Abreu <spa@debian.org>  Thu,  3 Jan 2002 16:34:19 +0000

gprolog (1.2.9-1) unstable; urgency=low

  * new upstream version.
  * added --enable-watermark to provide for external destructors on
    choicepoint deletion.
  * wam2ma: fixed weirdness: dmalloc is no longer a build dependency.  fix
    went upstream also. (closes: #126343)
  * gprolog-doc: make sure *.html goes in the right place.

 -- Salvador Abreu <spa@debian.org>  Mon, 24 Dec 2001 18:55:15 +0000

gprolog (1.2.7-3) unstable; urgency=low

  * clean up after calling mkstemp(2).  moved upstream into the CVS
    archive. (closes: #114529)

 -- Salvador Abreu <spa@debian.org>  Sun,  7 Oct 2001 14:46:17 +0100

gprolog (1.2.7-2) unstable; urgency=low

  * gprolog-doc is now in the "doc" distribution section.
  * reworked doc-base stuff to properly deal with binary and documentation
    packages. (closes: #114220)

 -- Salvador Abreu <spa@debian.org>  Tue,  2 Oct 2001 21:17:42 +0100

gprolog (1.2.7-1) unstable; urgency=low

  * New maintainer. (closes: #71675)
  * New upstream release.
  * Added a menu entry and an icon.
  * Split into two binary packages (gprolog and gprolog-doc).
  * Complete rewrite of debian/rules.
  * Fully rebuild docs everytime, produce HTML and PDF versions.
  * Updated manpages.
  * Linking wam2ma with dmalloc as regular mallocs seem to cause grief.
  * New function Update_Water_Mark/2 in EnginePl/wam_inst.c, needed to
    create external nondeterminate predicates which need to release
    resources when a choice-point is deleted.
  * lintian 1.20.14 approved.

 -- Salvador Abreu <spa@debian.org>  Mon, 24 Sep 2001 15:57:15 +0100

gprolog (1.2.1-1) unstable; urgency=low

  * New upstream release.  (Closes:Bug#98347)
  * Use doc-base.  (Closes:Bug#96025)
  * Added a menu entry.  (Closes:Bug#83493)

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 24 Sep 2001 20:44:41 -0700

gprolog (1.2.0-3) unstable; urgency=low

  * Orphaned.

 -- Milan Zamazal <pdm@debian.org>  Wed, 29 Aug 2001 10:58:15 +0200

gprolog (1.2.0-2) unstable; urgency=low

  * Call update-alternatives in prerm, not in postrm; closes: #74558.
  * New upstream version.

 -- Milan Zamazal <pdm@debian.org>  Sun, 30 Jul 2000 20:46:56 +0200

gprolog (1.1.2-1) unstable; urgency=low

  * New upstream version.
  * Use .gz extension in links to the main manpage.
  * Lintian 1.11.2 satisfied.

 -- Milan Zamazal <pdm@debian.org>  Sun, 23 Jul 2000 12:16:49 +0200

gprolog (1.1.0-4) frozen unstable; urgency=low

  * Broken links to man pages in alternatives install fixed; closes: #57238.
  * Do not install DVI version of the manual.
  * Very simple man page created.

 -- Milan Zamazal <pdm@debian.org>  Wed,  9 Feb 2000 20:48:06 +0100

gprolog (1.1.0-3) unstable; urgency=low

  * Standards 3.1.1.
  * Build dependencies introduced.
  * Download location fixed.
  * Reference to GPL location on Debian fixed.
  * Copyright updated.

 -- Milan Zamazal <pdm@debian.org>  Sun,  5 Dec 1999 10:32:24 +0100

gprolog (1.1.0-2) unstable; urgency=low

  * Grr, move include and lib files to the proper location again;
    closes: #48702.

 -- Milan Zamazal <pdm@debian.org>  Sun, 31 Oct 1999 18:43:47 +0100

gprolog (1.1.0-1) unstable; urgency=low

  * New upstream version.
  * More cleanups when cleaning.
  * Lintian 1.10 satisfied.

 -- Milan Zamazal <pdm@debian.org>  Sun, 24 Oct 1999 19:48:48 +0200

gprolog (1.0.5-1) unstable; urgency=low

  * New upstream version.
    (This is a development version, but the 1.0.0 version does not compile
    with gcc 2.95 and glibc 2.1 and the development version is suggested
    for glibc 2.1 systems.)
  * Moved to FHS.
  * Compiled with glibc 2.1.
  * Standards 3.0.1.
  * Lintian 1.9.2 satisfied.

 -- Milan Zamazal <pdm@debian.org>  Fri,  1 Oct 1999 21:31:19 +0200

gprolog (1.0.0-2) unstable; urgency=low

  * All GIFs removed from the binary package to avoid problems with bad
    ideas.

 -- Milan Zamazal <pdm@debian.org>  Mon, 30 Aug 1999 21:06:56 +0200

gprolog (1.0.0-1) unstable; urgency=low

  * Initial Release.
  * Lintian 1.1 satisfied.

 -- Milan Zamazal <pdm@debian.org>  Sun, 25 Apr 1999 16:07:35 +0200
